@charset "UTF-8";
/* @group Dark Theme Support */

/* ==================================================================== */

:root {
	/* цвета для светлой темы */
	--main-mode-color: #fcfcfc;
	--accent-mode-color: #222;
	--muted-back: #e2e8e5;
	--global-emphasis-color: #395350;
	--global-primary-background: #2C9980;
	--my-red: #FF3000;
	--my-orange: #FF6000;
	--global-primary-background-darktheme: #359A89;
	--global-secondary-background: #396050;
	--navbar-nav-item-height: 64px;
}

:root h1, :root h2, :root h3 {
	color: #395350;
}

@media (prefers-color-scheme: dark) {
	/* цвета для тёмной темы */
	
	:root {
		--main-mode-color: #202420;
		--accent-mode-color: #eee;
		--muted-back: #292D29;
	}
	
	:root h1, :root h2, :root h3 {
		color: #DAE5E0;
	}
	
	:root .uk-modal-dialog {
		background-color: #202420;
	}
	
	hr {
		border-top-color: #8886;
	}
	
	.uk-navbar-container:not(.uk-navbar-transparent) {
		background: unset;
		background-color: unset;
		box-shadow: 0 0 5px rgba(0, 0, 0, 0.15);
		-webkit-backdrop-filter: saturate(1.8) blur(20px);
		backdrop-filter: saturate(1.8) blur(20px);
	}
}

body {
	color: var(--accent-mode-color);
	background-color: var(--main-mode-color);
}

/* @end */

/* @group GENERATOR */

dev, *[dev] {
	display: none;
}

/* @end */

/* @group UIKit redefines */

/* ==================================================================== */

.uk-offcanvas-bar {
	background-color: rgba(20, 50, 45, 0.9);
}

#offcanvas.uk-open {
	background-color: rgba(20, 50, 45, 0.6);
	backdrop-filter: saturate(0.2) blur(3px);
}

.uk-navbar-nav li a {
	color: var(--global-primary-background-darktheme);
}

.uk-nav-default > li > a, .uk-nav-default > li.uk-nav-header {
	font-size: 1.5em;
	font-weight: 200;
	line-height: 1.1em;
	padding: .3em 0;
}

.uk-close {
	background-color: #80808000;
}

/* @end - UIKit redefines */

/* @group My base */

/* ==================================================================== */

* {
	font-family: "San Francisco", -apple-system, BlinkMacSystemFont, ".SFNSText-Regular", Roboto, "Helvetica Neue", Helvetica, Arial, system-ui, sans-serif;
}

body {
	text-wrap: balance;
}

/* @end */

/* @group My common */

/* ==================================================================== */

.webkit-blured {
	backdrop-filter: saturate(1.8) blur(20px);
}

.webkit-blured-light {
	backdrop-filter: saturate(1.8) blur(10px);
}

.webkit-blured-strong {
	backdrop-filter: saturate(1.8) blur(40px);
}

.nonselectable {
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}

#totopbtn {
	opacity: .9;
	text-align: right;
	padding-right: 25px;
	padding-bottom: 45px;
}

#totopbtn a {
	padding: 0 10px;
	border-radius: 5px;
}

.a-logo {
	font-weight: 150;
	color: var(--global-primary-background);
}

h1, h2 {
	text-transform: uppercase !important;
	text-wrap: balance !important;
	font-weight: 100 !important;
}

h1 span, h2 span {
	display: inline-block;
	margin: auto;
	font-size: .5em;
	font-weight: 100;
	text-transform: none;
	padding: .3em .7em .4em .7em;
	border-radius: .5em;
	background-color: var(--muted-back);
}

.offcanvas-footer {
	display: block;
	text-align: center;
	padding: 3em 0;
	font-size: .8em;
	opacity: .5;
}

#ask-our-prod {
	position: relative;
	margin-top: 00px;
	height: 180px;
	overflow: visible;
	text-align: center;
}

#ask-our-prod .square-container {
	display: inline-block;
	overflow: hidden;
	padding: 1.7em 1.5em;
	margin: auto;
	line-height: 1em;
	background-color: var(--global-primary-background);
	color: white;
	text-align: center;
	transform-origin: center;
	transform: rotate(-15deg);
	box-shadow: -1px 4px 10px #0203;
}

/* @end - My common */

/* @group Main banner */

/* ==================================================================== */

#main-banner > div {
	min-height: 85vh;
}

#main-banner > div .main-banner-title {
	text-transform: uppercase;
	font-weight: 500;
}

#main-banner > div p {
	font-weight: 150;
	line-height: 1.1em;
}

/* @end - Main banner */

/* @group root main slider */

/* ==================================================================== */

#main-slider .slide-block {
	--slider-size: calc(max(100px, 12vw));
	display: block;
	width: var(--slider-size);
	height: var(--slider-size);
	border-radius: 15px;
	overflow: hidden;
}

/* @end - root main slider */

/* @group prod-intro Group */

/* ==================================================================== */

#prod-intro .uk-card {
	border-radius: calc(min(5vh, 4vw));
}

#prod-intro .uk-card img {
	padding-top: 2em;
	margin-bottom: 3vw;
}

#prod-intro .uk-card .prod-intro-item {
	font-size: calc(max(min(2vw, 32px), 22px));
	text-transform: uppercase;
	color: white !important;
	background-color: #00000080;
	backdrop-filter: saturate(2) blur(20px);
	border-radius: 1em;
	font-weight: 200;
}

#prod-intro-types {
	background-color: var(--muted-back);
}

#prod-intro-modal-1 .brand, #prod-intro-modal-2 .brand, #prod-intro-modal-3 .brand {
	height: 30vh;
	margin-top: 30vh;
	background: center/contain no-repeat url("../img/brand-v-white.svg");
}

/* @end prod-intro */

/* @group Catalog */

/* ==================================================================== */

#catalog .catalog-item .uk-card {
	background-color: #fff;
	border-radius: 12px;
	overflow: hidden;
	padding: 0;
}

#catalog .catalog-item .uk-card > a {
	color: var(--global-secondary-background);
	display: block;
	text-decoration: none;
}

.prod-mark {
	display: inline-block;
	position: absolute;
	padding: 0.2em .5em;
	border-radius: 5px;
	color: white;
}

.prod-mark.prod-new-mark {
	background-color: var(--my-red);
	left: 15px;
	top: 15px;
}

.prod-mark.prod-new-mark:after {
	display: block;
	content: 'НОВИНКА';
	font-size: .65em;
	font-weight: 700;
}

.prod-mark.prod-price-mark {
	background-color: var(--global-primary-background);
	right: 10px;
	top: 10px;
	font-weight: 700;
}

.prod-mark.prod-price-mark:after {
	display: inline;
	padding-left: .3em;
	content: '₽/мп';
	opacity: .75;
	font-size: .9em;
	font-weight: 300;
}

.prod-data {
	padding: 10px 10px 15px 10px;
}

.prod-data p {
	margin: 0;
	text-align: center;
	line-height: 1em;
	font-size: 0.8em;
	padding-bottom: .5em;
}

.prod-data p .prod-type {
	display: inline-block;
	padding: .25em .6em .27em;
	border-radius: 1em;
	font-weight: 500;
	background-color: var(--global-primary-background);
	color: white;
	opacity: .75;
}

.prod-data .prod-title {
	font-size: 1.2em;
	font-weight: 500;
	margin: 0;
}

.prod-data .prod-title-loc {
	font-size: .9em;
	padding: 0 0 0.5em 0;
	border-bottom: 1px solid #0002;
	margin-bottom: .5em;
}

.prod-data .prod-dens, .prod-data .prod-width {
	padding: 0;
	font-size: 1em;
	opacity: .7;
}

.prod-data .prod-dens::before, .prod-data .prod-dens::after {
	display: block;
	font-size: .8em;
	line-height: 1.5em;
	opacity: .7;
}

.prod-data .prod-dens::before {
	content: "ПЛОТНОСТЬ";
}

.prod-data .prod-dens::after {
	content: "г/м.п.";
}

.prod-data .prod-width::before, .prod-data .prod-width::after {
	display: block;
	font-size: .8em;
	line-height: 1.5em;
	opacity: .7;
}

.prod-data .prod-width::before {
	content: "ШИРИНА";
}

.prod-data .prod-width::after {
	content: "см";
}

/* @end - Catalog */

/* @group purchase */

/* ==================================================================== */

#purchase {
	min-height: 500px;
	background-color: var(--muted-back);
}

/* @end - purchase */

/* @group Blog news */

/* ==================================================================== */

#blog-new-pubs {
	min-height: 500px;
}

#blog-new-pubs .blog-new-pubs-item .uk-card {
	border-radius: 1.7em;
	overflow: hidden;
}

#blog-new-pubs .blog-new-pubs-item a {
	display: block;
	position: relative;
	width: 100%;
	height: 100%;
	padding-top: .5em;
}

#blog-new-pubs .blog-new-pubs-item img {
	border-radius: 1em;
}

#blog-new-pubs .blog-new-pubs-item h4 {
	line-height: 1.2em;
	margin-bottom: .5em;
}

/* @end - Blog news */

/* @group motivation */

/* ==================================================================== */

#motv {
	min-height: 500px;
	background-color: var(--muted-back);
}

#motv .motv-h {
	font-size: calc(2em + 3vw);
	font-weight: 100;
	line-height: 1em;
	margin: 0;
}

#motv .motv-leed {
	color: white;
	font-size: 1.2em;
	line-height: 1.2em;
	text-shadow: #000 0 0 1em;
	font-weight: 150;
}

#motv .motv-leed.motv-leed-accent {
	background-color: var(--global-primary-background);
	padding: .7em 1em 1em;
}

/* @end - motivation */
/* ==================================================================== */
/* ==================================================================== */

/* @group Model page */

/* ==================================================================== */

#model-top {
	height: calc(100vh - var(--navbar-nav-item-height));
	background-position: center;
	background-size: cover;
}

#model-top .model-title {
	font-size: 48px;
	font-weight: 100;
	backdrop-filter: saturate(2) blur(15px);
	padding-left: .2em;
}

.opt-block {
	padding-top: 1em;
}

.opt-block .opt-row {
	border-top: 1px solid #80808080;
	padding-top: .5em;
}

.opt-block .opt-row .opt-key {
	line-height: 1em;
}

.opt-block .opt-row .opt-key-unit {
	display: inline-block;
	font-size: .9em;
	font-weight: 100;
}

.opt-block .opt-row .opt-value {
	font-weight: 700;
	line-height: 1em;
}

/* @end - Model page */

/* @group Footer */

/* ==================================================================== */

#footer {
	min-height: 400px;
}

#footer .contacts-short img {
	margin: 1em;
}

#footer .contacts-short p {
	margin: 0;
}

/* @end - Footer */

/* @group  */

/* ==================================================================== */

/* @end -  */
